--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/projet/tasks/time.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/projet/tasks/time.php	2025-06-27 11:43:57.771080000 +0000
@@ -1,4 +1,5 @@
 <?php
+
 /* Copyright (C) 2005		Rodolphe Quiedeville	<rodolphe@quiedeville.org>
  * Copyright (C) 2006-2023	Laurent Destailleur		<eldy@users.sourceforge.net>
  * Copyright (C) 2010-2012	Regis Houssin			<regis.houssin@inodbox.com>
@@ -285,9 +286,6 @@
 		$error++;
 	}
 
-	//If timespent date is not provided in POST (for eg, because in list the column date is hidden) we keep the actual date
-	$timespent_date = dol_mktime(12, 0, 0, GETPOSTINT("timelinemonth"), GETPOSTINT("timelineday"), GETPOSTINT("timelineyear"));
-
 	if (!$error) {
 		if (GETPOSTINT('taskid') != $id) {        // GETPOST('taskid') is id of new task
 			$id_temp = GETPOSTINT('taskid'); // should not overwrite $id
@@ -303,11 +301,11 @@
 			$object->timespent_old_duration = GETPOSTINT("old_duration");
 			$object->timespent_duration = GETPOSTINT("new_durationhour") * 60 * 60; // We store duration in seconds
 			$object->timespent_duration += (GETPOSTINT("new_durationmin") ? GETPOSTINT('new_durationmin') : 0) * 60; // We store duration in seconds
-			if (GETPOST("timelinehour") != '' && GETPOST("timelinehour") >= 0 && !empty($timespent_date)) {    // If hour was entered
+			if (GETPOST("timelinehour") != '' && GETPOST("timelinehour") >= 0) {    // If hour was entered
 				$object->timespent_date = dol_mktime(GETPOSTINT("timelinehour"), GETPOSTINT("timelinemin"), 0, GETPOSTINT("timelinemonth"), GETPOSTINT("timelineday"), GETPOSTINT("timelineyear"));
 				$object->timespent_withhour = 1;
-			} elseif (!empty($timespent_date)) {
-				$object->timespent_date = $timespent_date;
+			} else {
+				$object->timespent_date = dol_mktime(12, 0, 0, GETPOSTINT("timelinemonth"), GETPOSTINT("timelineday"), GETPOSTINT("timelineyear"));
 				$object->timespent_withhour = 0;
 			}
 			$object->timespent_fk_user = GETPOSTINT("userid_line");
@@ -328,8 +326,7 @@
 		} else {
 			$object->fetch($id, $ref);
 
-			$object->fetchTimeSpent(GETPOSTINT('lineid'));
-
+			$object->timespent_id = GETPOSTINT("lineid");
 			$object->timespent_note = GETPOST("timespent_note_line", "alphanohtml");
 			$object->timespent_old_duration = GETPOSTINT("old_duration");
 			$object->timespent_duration = GETPOSTINT("new_durationhour") * 60 * 60; // We store duration in seconds
@@ -337,8 +334,8 @@
 			if (GETPOST("timelinehour") != '' && GETPOST("timelinehour") >= 0) {    // If hour was entered
 				$object->timespent_date = dol_mktime(GETPOSTINT("timelinehour"), GETPOSTINT("timelinemin"), 0, GETPOSTINT("timelinemonth"), GETPOSTINT("timelineday"), GETPOSTINT("timelineyear"));
 				$object->timespent_withhour = 1;
-			} elseif (!empty($timespent_date)) {
-				$object->timespent_date = $timespent_date;
+			} else {
+				$object->timespent_date = dol_mktime(12, 0, 0, GETPOSTINT("timelinemonth"), GETPOSTINT("timelineday"), GETPOSTINT("timelineyear"));
 				$object->timespent_withhour = 0;
 			}
 			$object->timespent_fk_user = GETPOSTINT("userid_line");
@@ -1493,7 +1490,7 @@
 					print $langs->trans('ServiceToUseOnLines');
 					print '</td>';
 					print '<td>';
-					$form->select_produits(0, 'productid', 1, 0, $projectstatic->thirdparty->price_level, 1, 2, '', 0, array(), $projectstatic->thirdparty->id, 'None', 0, 'maxwidth500');
+					$form->select_produits(0, 'productid', '1', 0, $projectstatic->thirdparty->price_level, 1, 2, '', 0, array(), $projectstatic->thirdparty->id, 'None', 0, 'maxwidth500');
 					print '</td>';
 					print '</tr>';
 				}
@@ -1887,7 +1884,7 @@
 				if (isModEnabled("service") && !empty($projectstatic->thirdparty) && $projectstatic->thirdparty->id > 0 && $projectstatic->usage_bill_time) {
 					print '<td class="nowraponall">';
 					print img_picto('', 'service');
-					print $form->select_produits((GETPOSTISSET('fk_product') ? GETPOSTINT("fk_product") : ''), 'fk_product', 1, 0, $projectstatic->thirdparty->price_level, 1, 2, '', 1, array(), $projectstatic->thirdparty->id, 'None', 0, 'maxwidth150', 0, '', null, 1);
+					print $form->select_produits((GETPOSTISSET('fk_product') ? GETPOSTINT("fk_product") : ''), 'fk_product', '1', 0, $projectstatic->thirdparty->price_level, 1, 2, '', 1, array(), $projectstatic->thirdparty->id, 'None', 0, 'maxwidth150', 0, '', null, 1);
 					print '</td>';
 				}
 			}
@@ -2068,11 +2065,11 @@
 		}
 		if (!empty($allprojectforuser)) {
 			if (!empty($arrayfields['p.project_ref']['checked'])) {
-				print_liste_field_titre($arrayfields['p.project_ref']['label'], $_SERVER['PHP_SELF'], 'p.ref', '', $param, '', $sortfield, $sortorder);
+				print_liste_field_titre("Project", $_SERVER['PHP_SELF'], 'p.ref', '', $param, '', $sortfield, $sortorder);
 				$totalarray['nbfield']++;
 			}
 			if (!empty($arrayfields['p.project_label']['checked'])) {
-				print_liste_field_titre($arrayfields['p.project_label']['label'], $_SERVER['PHP_SELF'], 'p.title', '', $param, '', $sortfield, $sortorder);
+				print_liste_field_titre("ProjectLabel", $_SERVER['PHP_SELF'], 'p.title', '', $param, '', $sortfield, $sortorder);
 				$totalarray['nbfield']++;
 			}
 		}
@@ -2263,9 +2260,10 @@
 				}
 			}
 
+			// Project ref & label
 			if (!empty($allprojectforuser)) {
-				// Project ref
 				if (!empty($arrayfields['p.project_ref']['checked'])) {
+					print '<td class="nowraponall">';
 					if (empty($conf->cache['project'][$task_time->fk_projet])) {
 						$tmpproject = new Project($db);
 						$tmpproject->fetch($task_time->fk_projet);
@@ -2273,14 +2271,12 @@
 					} else {
 						$tmpproject = $conf->cache['project'][$task_time->fk_projet];
 					}
-					print '<td class="nowraponall">';
 					print $tmpproject->getNomUrl(1);
 					print '</td>';
 					if (!$i) {
 						$totalarray['nbfield']++;
 					}
 				}
-				// Project label
 				if (!empty($arrayfields['p.project_label']['checked'])) {
 					if (empty($conf->cache['project'][$task_time->fk_projet])) {
 						$tmpproject = new Project($db);
@@ -2289,12 +2285,8 @@
 					} else {
 						$tmpproject = $conf->cache['project'][$task_time->fk_projet];
 					}
-					print '<td class="tdoverflowmax250" title="'.dolPrintHTMLForAttribute($tmpproject->title).'">';
-					if (!empty($arrayfields['p.project_ref']['checked'])) {
-						print dolPrintHTML($tmpproject->title);
-					} else {
-						print $tmpproject->getNomUrl(1, '', -1);
-					}
+					print '<td class="tdoverflowmax250" title="'.dol_escape_htmltag($tmpproject->title).'">';
+					print dol_escape_htmltag($tmpproject->title);
 					print '</td>';
 					if (!$i) {
 						$totalarray['nbfield']++;
@@ -2326,15 +2318,8 @@
 			// Task label
 			if (!empty($arrayfields['t.element_label']['checked'])) {
 				if ((empty($id) && empty($ref)) || !empty($projectidforalltimes)) {	// Not a dedicated task
-					print '<td class="tdoverflowmax250" title="'.dolPrintHTMLForAttribute($task_time->label).'">';
-					if (!empty($arrayfields['t.element_ref']['checked'])) {
-						print dolPrintHTML($task_time->label);
-					} else {
-						$tasktmp->id = $task_time->fk_element;
-						$tasktmp->ref = $task_time->ref;
-						$tasktmp->label = $task_time->label;
-						print $tasktmp->getNomUrl(1, 'withproject', 'time', -1);
-					}
+					print '<td class="tdoverflowmax250" title="'.dol_escape_htmltag($task_time->label).'">';
+					print dol_escape_htmltag($task_time->label);
 					print '</td>';
 					if (!$i) {
 						$totalarray['nbfield']++;
@@ -2342,9 +2327,9 @@
 				}
 			}
 
-			// User
+			// By User
 			if (!empty($arrayfields['author']['checked'])) {
-				print '<td class="tdoverflowmax100">';
+				print '<td class="minwidth100 tdoverflowmax125">';
 				if ($action == 'editline' && GETPOSTINT('lineid') == $task_time->rowid) {
 					// Here $object is task. TODO Add a cache
 					if (empty($object->id)) {
@@ -2430,7 +2415,7 @@
 				print '<td class="nowraponall">';
 				if ($action == 'editline' && GETPOSTINT('lineid') == $task_time->rowid) {
 					print img_picto('', 'service');
-					print $form->select_produits($task_time->fk_product, 'fk_product', 1, 0, $projectstatic->thirdparty->price_level, 1, 2, '', 1, array(), $projectstatic->thirdparty->id, 'None', 0, 'maxwidth500', 0, '', null, 1);
+					print $form->select_produits($task_time->fk_product, 'fk_product', '1', 0, $projectstatic->thirdparty->price_level, 1, 2, '', 1, array(), $projectstatic->thirdparty->id, 'None', 0, 'maxwidth500', 0, '', null, 1);
 				} elseif (!empty($task_time->fk_product)) {
 					$product = new Product($db);
 					$resultFetch = $product->fetch($task_time->fk_product);
@@ -2759,7 +2744,7 @@
 
 				// Date
 				if (!empty($arrayfields['t.element_date']['checked'])) {
-					print '<td class="nowraponall">';
+					print '<td class="nowrap">';
 					if ($action == 'splitline' && GETPOSTINT('lineid') == $task_time->rowid) {
 						if (empty($task_time->element_date_withhour)) {
 							print $form->selectDate(($date2 ? $date2 : $date1), 'timeline_2', 3, 3, 2, "timespent_date", 1, 0);
@@ -2774,20 +2759,20 @@
 
 				// Thirdparty
 				if (!empty($arrayfields['p.fk_soc']['checked'])) {
-					print '<td>';
+					print '<td class="nowrap">';
 					print '</td>';
 				}
 
 				// Thirdparty alias
 				if (!empty($arrayfields['s.name_alias']['checked'])) {
-					print '<td>';
+					print '<td class="nowrap">';
 					print '</td>';
 				}
 
 				// Project ref
 				if (!empty($allprojectforuser)) {
 					if ((empty($id) && empty($ref)) || !empty($projectidforalltimes)) {    // Not a dedicated task
-						print '<td>';
+						print '<td class="nowrap">';
 						print '</td>';
 					}
 				}
@@ -2795,7 +2780,7 @@
 				// Task ref
 				if (!empty($arrayfields['t.element_ref']['checked'])) {
 					if ((empty($id) && empty($ref)) || !empty($projectidforalltimes)) {	// Not a dedicated task
-						print '<td class="nowraponall">';
+						print '<td class="nowrap">';
 						$tasktmp->id = $task_time->fk_element;
 						$tasktmp->ref = $task_time->ref;
 						$tasktmp->label = $task_time->label;
@@ -2807,7 +2792,7 @@
 				// Task label
 				if (!empty($arrayfields['t.element_label']['checked'])) {
 					if ((empty($id) && empty($ref)) || !empty($projectidforalltimes)) {	// Not a dedicated task
-						print '<td class="tdoverflowmax125" title="'.dol_escape_htmltag($task_time->label).'">';
+						print '<td class="nowrap">';
 						print dol_escape_htmltag($task_time->label);
 						print '</td>';
 					}
@@ -2876,7 +2861,7 @@
 				// Value spent
 				if (!empty($arrayfields['value']['checked'])) {
 					print '<td class="right">';
-					print '<span class="amount nowraponall">';
+					print '<span class="amount">';
 					$value = 0;
 					print price($value, 1, $langs, 1, -1, -1, $conf->currency);
 					print '</span>';
@@ -2888,7 +2873,7 @@
 					print '<td class="right">';
 					$valuebilled = price2num($task_time->total_ht, '', 1);
 					if (isset($task_time->total_ht)) {
-						print '<span class="amount nowraponall">';
+						print '<span class="amount">';
 						print price($valuebilled, 1, $langs, 1, -1, -1, $conf->currency);
 						print '</span>';
 					}

########## projet/tasks.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/projet/tasks.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/projet/tasks.php	2025-06-27 11:43:57.763828000 +0000
@@ -527,7 +527,7 @@
 		$param .= '&search_date_start_startday='.urlencode((string) ($search_date_start_startday));
 	}
 	if ($search_date_start_start) {
-		$param .= '&search_date_start_start='.urlencode((string) $search_date_start_start);
+		$param .= '&search_date_start_start='.urlencode($search_date_start_start);
 	}
 	if ($search_date_start_endmonth) {
 		$param .= '&search_date_start_endmonth='.urlencode((string) ($search_date_start_endmonth));
@@ -539,7 +539,7 @@
 		$param .= '&search_date_start_endday='.urlencode((string) ($search_date_start_endday));
 	}
 	if ($search_date_start_end) {
-		$param .= '&search_date_start_end='.urlencode((string) $search_date_start_end);
+		$param .= '&search_date_start_end='.urlencode($search_date_start_end);
 	}
 	if ($search_date_end_startmonth) {
 		$param .= '&search_date_end_startmonth='.urlencode((string) ($search_date_end_startmonth));
@@ -551,7 +551,7 @@
 		$param .= '&search_date_end_startday='.urlencode((string) ($search_date_end_startday));
 	}
 	if ($search_date_end_start) {
-		$param .= '&search_date_end_start='.urlencode((string) $search_date_end_start);
+		$param .= '&search_date_end_start='.urlencode($search_date_end_start);
 	}
 	if ($search_date_end_endmonth) {
 		$param .= '&search_date_end_endmonth='.urlencode((string) ($search_date_end_endmonth));
@@ -563,7 +563,7 @@
 		$param .= '&search_date_end_endday='.urlencode((string) ($search_date_end_endday));
 	}
 	if ($search_date_end_end) {
-		$param .= '&search_date_end_end=' . urlencode((string) $search_date_end_end);
+		$param .= '&search_date_end_end=' . urlencode($search_date_end_end);
 	}
 	if ($search_planedworkload) {
 		$param .= '&search_planedworkload='.urlencode($search_planedworkload);

########## public/demo/index.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/public/demo/index.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/public/demo/index.php	2025-06-27 11:43:57.814989000 +0000
@@ -295,10 +295,8 @@
 print '</div>';
 
 print '<div class="demobantext" style="max-width: 1024px;">';
-print '<div style="font-size: 0.8em; padding: 40px;">';
-print '<div class="hideonsmartphone" style="text-align: justify;">'.$langs->trans("DemoDesc").'<br>';
-print $langs->trans("DemoDesc2", 'https://www.dolibarr.org/onlinedemo');
-print '</div><br>';
+print '<div style="font-size: 20px; padding: 40px;">';
+print '<div class="hideonsmartphone" style="text-align: justify;">'.$langs->trans("DemoDesc").'</div><br>';
 print '<div class="titre"><span style="font-size: 20px">'.$langs->trans("ChooseYourDemoProfil").'</span></div>';
 print '</div>';
 print '</div>';

########## public/payment/newpayment.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/public/payment/newpayment.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/public/payment/newpayment.php	2025-06-27 11:43:57.804206000 +0000
@@ -608,7 +608,7 @@
 
 				$service = 'StripeTest';
 				$servicestatus = 0;
-				if (getDolGlobalString('STRIPE_LIVE')/* && !GETPOSTINT('forcesandbox') */) {
+				if (getDolGlobalString('STRIPE_LIVE') && !GETPOSTINT('forcesandbox')) {
 					$service = 'StripeLive';
 					$servicestatus = 1;
 				}
@@ -818,7 +818,7 @@
 	if (getDolGlobalInt('STRIPE_USE_INTENT_WITH_AUTOMATIC_CONFIRMATION')) {
 		$service = 'StripeTest';
 		$servicestatus = 0;
-		if (getDolGlobalString('STRIPE_LIVE')/* && !GETPOSTINT('forcesandbox') */) {
+		if (getDolGlobalString('STRIPE_LIVE') && !GETPOSTINT('forcesandbox')) {
 			$service = 'StripeLive';
 			$servicestatus = 1;
 		}
@@ -970,10 +970,10 @@
 
 
 // Show sandbox warning
-if ((empty($paymentmethod) || $paymentmethod == 'paypal') && isModEnabled('paypal') && (getDolGlobalString('PAYPAL_API_SANDBOX')/* || GETPOSTINT('forcesandbox')*/)) {		// We can force sand box with param 'forcesandbox'
+if ((empty($paymentmethod) || $paymentmethod == 'paypal') && isModEnabled('paypal') && (getDolGlobalString('PAYPAL_API_SANDBOX') || GETPOSTINT('forcesandbox'))) {		// We can force sand box with param 'forcesandbox'
 	dol_htmloutput_mesg($langs->trans('YouAreCurrentlyInSandboxMode', 'Paypal'), array(), 'warning');
 }
-if ((empty($paymentmethod) || $paymentmethod == 'stripe') && isModEnabled('stripe') && (!getDolGlobalString('STRIPE_LIVE')/* || GETPOSTINT('forcesandbox')*/)) {
+if ((empty($paymentmethod) || $paymentmethod == 'stripe') && isModEnabled('stripe') && (!getDolGlobalString('STRIPE_LIVE') || GETPOSTINT('forcesandbox'))) {
 	dol_htmloutput_mesg($langs->trans('YouAreCurrentlyInSandboxMode', 'Stripe'), array(), 'warning');
 }
 
@@ -987,7 +987,7 @@
 print '<input type="hidden" name="suffix" value="'.dol_escape_htmltag($suffix).'">'."\n";
 print '<input type="hidden" name="securekey" value="'.dol_escape_htmltag($SECUREKEY).'">'."\n";
 print '<input type="hidden" name="e" value="'.$entity.'" />';
-//print '<input type="hidden" name="forcesandbox" value="'.GETPOSTINT('forcesandbox').'" />';
+print '<input type="hidden" name="forcesandbox" value="'.GETPOSTINT('forcesandbox').'" />';
 print '<input type="hidden" name="lang" value="'.$getpostlang.'">';
 print '<input type="hidden" name="ws" value="'.$ws.'">';
 print "\n";
@@ -2425,7 +2425,7 @@
 		print '<input type="hidden" name="e" value="'.$entity.'" />'."\n";
 		print '<input type="hidden" name="amount" value="'.$amount.'">'."\n";
 		print '<input type="hidden" name="currency" value="'.$currency.'">'."\n";
-		//print '<input type="hidden" name="forcesandbox" value="'.GETPOSTINT('forcesandbox').'" />';
+		print '<input type="hidden" name="forcesandbox" value="'.GETPOSTINT('forcesandbox').'" />';
 		print '<input type="hidden" name="email" value="'.GETPOST('email', 'alpha').'" />';
 		print '<input type="hidden" name="thirdparty_id" value="'.GETPOSTINT('thirdparty_id').'" />';
 		print '<input type="hidden" name="lang" value="'.$getpostlang.'">';
@@ -2456,7 +2456,7 @@
 
 			$service = 'StripeLive';
 			$servicestatus = 1;
-			if (!getDolGlobalString('STRIPE_LIVE')/* || GETPOST('forcesandbox', 'alpha') */) {
+			if (!getDolGlobalString('STRIPE_LIVE') || GETPOST('forcesandbox', 'alpha')) {
 				$service = 'StripeTest';
 				$servicestatus = 0;
 			}

########## public/payment/paymentok.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/public/payment/paymentok.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/public/payment/paymentok.php	2025-06-27 11:43:57.808204000 +0000
@@ -290,12 +290,11 @@
 
 
 // Add steps to validate payment is complete when we enter this page
-$service = $paymentmethod;	// to have a default value. We may change it later for 'StripeLive' or 'StripeTest'...
+
 
 // For Paypal: validate the payment (Paypal need another step after the callback return to validate the payment).
 if (isModEnabled('paypal') && $paymentmethod === 'paypal') {	// We call this page only if payment is ok on payment system
 	if (!empty($PAYPALTOKEN)) {
-		// TODO: Move this block to the top to ensure all session variables (e.g., TRANSACTIONID, FinalPaymentAmt, currencyCodeType, etc.) are loaded before executing checks for any payment module.
 		// Get on url call
 		$onlinetoken        = $PAYPALTOKEN;
 		$fulltag            = $FULLTAG;
@@ -372,98 +371,23 @@
 }
 
 // For Paybox
-if (isModEnabled('paybox') && $paymentmethod === 'paybox') {
-	// TODO Add a check to validate that payment is ok.
-	$ispaymentok = true; // We will do the rest of code
+if (isModEnabled('paybox')) {
+	if ($paymentmethod === 'paybox') {
+		// TODO Add a check to validate that payment is ok.
+		$ispaymentok = true; // We call this page only if payment is ok on payment system
+	}
 }
 
 // For Stripe
-if (isModEnabled('stripe') && $paymentmethod === 'stripe') {
-	// TODO: Move this block to the top to ensure all session variables (e.g., TRANSACTIONID, FinalPaymentAmt, currencyCodeType, etc.) are loaded before executing checks for any payment module.
-	if (empty($TRANSACTIONID)) {
-		$TRANSACTIONID = empty($_SESSION['TRANSACTIONID']) ? '' : $_SESSION['TRANSACTIONID'];	// pi_... or ch_...
-		if (empty($TRANSACTIONID) && GETPOST('payment_intent', 'alphanohtml')) {
-			// For the case we use STRIPE_USE_INTENT_WITH_AUTOMATIC_CONFIRMATION = 2
-			$TRANSACTIONID = GETPOST('payment_intent', 'alphanohtml');
-		}
-	}
-	$FinalPaymentAmt = empty($_SESSION["FinalPaymentAmt"]) ? '' : $_SESSION["FinalPaymentAmt"];
-	$currencyCodeType = empty($_SESSION['currencyCodeType']) ? '' : $_SESSION['currencyCodeType'];
-
-	$service = 'StripeTest';
-	$servicestatus = 0;
-	if (getDolGlobalString('STRIPE_LIVE')/* && !GETPOSTINT('forcesandbox') */) {
-		$service = 'StripeLive';
-		$servicestatus = 1;
-	}
-
-	// Check we are coming from the newpaymentpage
-	if (GETPOST('paymentoksessioncode') !== $_SESSION['paymentoksessioncode']) {
-		$error++;
-		$errmsg = 'Attempted direct access to the paymentok page without a valid session.';
-		dol_syslog($errmsg, LOG_ERR, 0, '_payment');
-	}
-
-	// Check on payment platform that the payment has been really validated
-	if (!$error && $TRANSACTIONID) {
-		// Stripe payment verification via Stripe API
-		try {
-			include_once DOL_DOCUMENT_ROOT.'/stripe/class/stripe.class.php';
-			$stripe = new Stripe($db);
-			$stripeacc = $stripe->getStripeAccount($service);
-
-			// Use the correct Stripe API key
-			global $stripearrayofkeysbyenv;
-			\Stripe\Stripe::setApiKey($stripearrayofkeysbyenv[$servicestatus]['secret_key']);
-
-			try {
-				if (empty($stripeacc)) {
-					$paymentIntent = \Stripe\PaymentIntent::retrieve($TRANSACTIONID);
-				} else {
-					$paymentIntent = \Stripe\PaymentIntent::retrieve($TRANSACTIONID, array("stripe_account" => $stripeacc));
-				}
-
-				// Check amount and currency
-				$expectedAmount = (int) round($FinalPaymentAmt * 100); // Stripe uses cents
-				$expectedCurrency = strtolower($currencyCodeType);
-
-				if ((int) $paymentIntent->amount !== $expectedAmount || strtolower($paymentIntent->currency) !== $expectedCurrency) {
-					$error++;
-					$errmsg = 'Stripe payment information mismatch: expected amount ' . $expectedAmount . ' and currency ' . $expectedCurrency . ', got amount ' . $paymentIntent->amount . ' and currency ' . $paymentIntent->currency;
-					dol_syslog($errmsg, LOG_ERR, 0, '_payment');
-				}
-				if ($paymentIntent->status !== 'succeeded') {
-					$error++;
-					$errmsg = 'Stripe payment not succeeded. Status: ' . $paymentIntent->status;
-					dol_syslog($errmsg, LOG_ERR, 0, '_payment');
-				}
-			} catch (\Stripe\Exception\ApiErrorException $e) {
-				$error++;
-				$errormessage = "Stripe API error: ".$e->getMessage();
-				dol_syslog($errormessage, LOG_ERR, 0, '_payment');
-				setEventMessages($e->getMessage(), null, 'errors');
-			} catch (Exception $e) {
-				$error++;
-				$errormessage = "CantRetrievePaymentIntent: ".$e->getMessage();
-				dol_syslog($errormessage, LOG_ERR, 0, '_payment');
-				setEventMessages($e->getMessage(), null, 'errors');
-			}
-		} catch (Exception $e) {
-			$error++;
-			$errmsg = 'Stripe API error: ' . $e->getMessage();
-			dol_syslog($errmsg, LOG_ERR, 0, '_payment');
+if (isModEnabled('stripe')) {
+	if ($paymentmethod === 'stripe') {
+		// Check we are coming from the newpaymentpage
+		if (GETPOST('paymentoksessionkey') == $_SESSION['paymentoksessionkey']) {
+			// We can also request Stripe with payment_intent and payment_intent_client_secret the sameway we do in newpayment after comment "// Get here amount and currency used for payment".
+			$ispaymentok = true; // We call this page only if payment is ok on payment system
+		} else {
+			$ispaymentok = false; // We call this page only if payment is ok on payment system
 		}
-	} else {
-		$error++;
-		$errmsg = 'Stripe payment verification failed: TRANSACTIONID is not set or session key does not match.';
-		dol_syslog($errmsg, LOG_ERR, 0, '_payment');
-		setEventMessages($errmsg, null, 'errors');
-	}
-
-	if (!$error) {
-		$ispaymentok = true; // We will do the rest of code
-	} else {
-		$ispaymentok = false; // We won't do the rest of code
 	}
 }
 
@@ -483,7 +407,6 @@
 	}
 }
 
-// TODO: Move this block to the top to ensure all session variables (e.g., TRANSACTIONID, FinalPaymentAmt, currencyCodeType, etc.) are loaded before executing checks for any payment module.
 // Get variable into the session env
 if (empty($ipaddress)) {
 	$ipaddress = $_SESSION['ipaddress'];
@@ -793,7 +716,7 @@
 				}
 
 				if (!$error) {
-					// If payment using Stripe, save the Stripe payment info into societe_account
+					// If payment using Strip, save the Stripe payment info into societe_account
 					if ($paymentmethod == 'stripe' && $autocreatethirdparty && $option == 'bankviainvoice') {
 						$thirdparty_id = ($object->socid ? $object->socid : $object->fk_soc);
 
@@ -801,7 +724,7 @@
 
 						$service = 'StripeTest';
 						$servicestatus = 0;
-						if (getDolGlobalString('STRIPE_LIVE')/* && !GETPOST('forcesandbox', 'alpha') */) {
+						if (getDolGlobalString('STRIPE_LIVE') && !GETPOST('forcesandbox', 'alpha')) {
 							$service = 'StripeLive';
 							$servicestatus = 1;
 						}
@@ -1194,7 +1117,7 @@
 						$paiement->paiementid = $paymentTypeId;
 						$paiement->num_payment = '';
 						$paiement->note_public = 'Online payment ' . dol_print_date($now, 'standard') . ' from ' . $ipaddress;
-						$paiement->ext_payment_id = $TRANSACTIONID;		// 'pi_...' for Stripe, ... TODO Use 'pi_...:cus_...@pk_...'
+						$paiement->ext_payment_id = $TRANSACTIONID;		// pi_... for Stripe, ...
 						$paiement->ext_payment_site = $service;			// 'StripeLive' or 'Stripe', or ...
 
 						if (!$error) {
@@ -1328,8 +1251,8 @@
 				$paiement->paymenttype = $paymentTypeId;
 				$paiement->num_payment = '';
 				$paiement->note_public  = 'Online payment '.dol_print_date($now, 'standard').' from '.$ipaddress;
-				$paiement->ext_payment_id = $TRANSACTIONID;		// 'pi_...' for Stripe, ... TODO Use 'pi_...:cus_...@pk_...'
-				$paiement->ext_payment_site = $service;			// 'StripeLive' or 'Stripe', or ...
+				$paiement->ext_payment_id = $TRANSACTIONID;
+				$paiement->ext_payment_site = $service;
 
 				if (!$error) {
 					$paiement_id = $paiement->create($user, 1);
@@ -1463,8 +1386,8 @@
 					$paiement->paiementid   = $paymentTypeId;
 					$paiement->num_payment = '';
 					$paiement->note_public  = 'Online payment '.dol_print_date($now, 'standard').' from '.$ipaddress.' for event registration';
-					$paiement->ext_payment_id = $TRANSACTIONID;		// 'pi_...' for Stripe, ... TODO Use 'pi_...:cus_...@pk_...'
-					$paiement->ext_payment_site = $service;			// 'StripeLive' or 'Stripe', or ...
+					$paiement->ext_payment_id = $TRANSACTIONID;
+					$paiement->ext_payment_site = $service;
 
 					if (!$error) {
 						$paiement_id = $paiement->create($user, 1); // This include closing invoices and regenerating documents

########## public/project/index.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/public/project/index.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/public/project/index.php	2025-06-27 11:43:57.866368000 +0000
@@ -235,7 +235,7 @@
 print '<input type="hidden" name="id" value="'.dol_escape_htmltag((string) $id).'">'."\n";
 print '<input type="hidden" name="securekey" value="'.dol_escape_htmltag($securekeyreceived).'">'."\n";
 print '<input type="hidden" name="e" value="'.$entity.'" />';
-//print '<input type="hidden" name="forcesandbox" value="'.GETPOSTINT('forcesandbox').'" />';
+print '<input type="hidden" name="forcesandbox" value="'.GETPOSTINT('forcesandbox').'" />';
 print "\n";
 
 

########## public/project/viewandvote.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/public/project/viewandvote.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/public/project/viewandvote.php	2025-06-27 11:43:57.870521000 +0000
@@ -239,7 +239,7 @@
 print '<input type="hidden" name="id" value="'.dol_escape_htmltag($id).'">'."\n";
 print '<input type="hidden" name="securekey" value="'.dol_escape_htmltag($securekeyreceived).'">'."\n";
 print '<input type="hidden" name="e" value="'.$entity.'" />';
-//print '<input type="hidden" name="forcesandbox" value="'.GETPOSTINT('forcesandbox').'" />';
+print '<input type="hidden" name="forcesandbox" value="'.GETPOSTINT('forcesandbox').'" />';
 print "\n";
 
 

########## public/stripe/ipn.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/public/stripe/ipn.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/public/stripe/ipn.php	2025-06-27 11:43:57.881274000 +0000
@@ -133,16 +133,10 @@
 	$event = \Stripe\Webhook::constructEvent($payload, $sig_header, $endpoint_secret);
 } catch (UnexpectedValueException $e) {
 	// Invalid payload
-	dol_syslog("***** Stripe IPN was called with UnexpectedValueException (invalid payload) service=".$service);
-	dol_syslog("***** Stripe IPN was called with UnexpectedValueException (invalid payload) service=".$service, LOG_DEBUG, 0, '_payment');
 	httponly_accessforbidden('Invalid payload', 400);
 } catch (\Stripe\Exception\SignatureVerificationException $e) {
-	dol_syslog("***** Stripe IPN was called with SignatureVerificationException service=".$service);
-	dol_syslog("***** Stripe IPN was called with SignatureVerificationException service=".$service, LOG_DEBUG, 0, '_payment');
-	httponly_accessforbidden('Invalid signature. May be a hook for an event created by another Stripe env or a hack attempt ? Check setup of your keys whsec_...', 400);
+	httponly_accessforbidden('Invalid signature. May be a hook for an event created by another Stripe env ? Check setup of your keys whsec_...', 400);
 } catch (Exception $e) {
-	dol_syslog("***** Stripe IPN was called with Exception (".$e->getMessage().") service=".$service);
-	dol_syslog("***** Stripe IPN was called with Exception (".$e->getMessage().") service=".$service, LOG_DEBUG, 0, '_payment');
 	httponly_accessforbidden('Error '.$e->getMessage(), 400);
 }
 
@@ -366,14 +360,14 @@
 	global $stripearrayofkeysbyenv;
 	$error = 0;
 	$object = $event->data->object;
-	$TRANSACTIONID = $object->id;	// Example 'pi_123456789...'
+	$TRANSACTIONID = $object->id;	// Example pi_123456789...
 	$ipaddress = $object->metadata->ipaddress;
 	$now = dol_now();
 	$currencyCodeType = strtoupper($object->currency);
 	$paymentmethodstripeid = $object->payment_method;
 	$customer_id = $object->customer;
 	$invoice_id = "";
-	$paymentTypeCode = "";				// payment type according to Stripe
+	$paymentTypeCode = "";			// payment type according to Stripe
 	$paymentTypeCodeInDolibarr = "";	// payment type according to Dolibarr
 	$payment_amount = 0;
 	$payment_amountInDolibarr = 0;
@@ -455,9 +449,7 @@
 		}
 
 		$payment_amount = $payment_amountInDolibarr;
-		// TODO Add this checks ? May not be required because the message is already decoded with $event = \Stripe\Webhook::constructEvent($payload, $sig_header, $endpoint_secret);
-		// - Check payment_amount in Stripe (received) is same than the one in Dolibarr
-		// - Check that payment intent is succeed (to avoid forged json webhook sent by malicious users)
+		// TODO Check payment_amount in Stripe (received) is same than the one in Dolibarr
 
 		$postactionmessages = array();
 

########## reception/class/api_receptions.class.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/reception/class/api_receptions.class.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/reception/class/api_receptions.class.php	2025-06-27 11:43:59.812337000 +0000
@@ -112,7 +112,7 @@
 		$obj_ret = array();
 
 		// case of external user, $thirdparty_ids param is ignored and replaced by user's socid
-		$socids = DolibarrApiAccess::$user->socid ?: $thirdparty_ids;
+		$socids = DolibarrApiAccess::$user->socid ? DolibarrApiAccess::$user->socid : $thirdparty_ids;
 
 		// If the internal user must only see his customers, force searching by him
 		$search_sale = 0;

########## reception/class/reception.class.php
